<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<?
function converteVar ($variavel) {
	
	if($variavel == 'S') {
		$variavel = 'true';
	}
	if($variavel == 'N') {
		$variavel = 'false';
	}
	
	if($variavel == null) {
 		$variavel = "null";
	}
	else {
 		$variavel = "'$variavel'";
	}
	
	return $variavel;
}

function atualizaDocumentos($_identificador,
							 $_tipoidentificador,
							 $_blnis,
                             $_nis,
                             $_blniscomprovado,
                             $_blnisdigitalizado,
                             $_pathnisfrente,
                             $_pathnisverso,
                             $_blcpf,
                             $_cpf,
                             $_blcpfcomprovado,
                             $_blcpfdigitalizado,
                             $_patthcpffrente,
                             $_pathcpfverso,
                             $_blreg,
                             $_rg,
                             $_rguf,
                             $_rgemissao,
                             $_rgorgaoemissor,
                             $_blrgcomprovado,
                             $_blrgdigitalizado,
                             $_pathrgfrente,
                             $_pathrgverso,
                             $_blcarteiratrabalho,
                             $_carteiratrabalho,
                             $_carteiratrabalhoserie,
                             $_carteiratrabalhouf,
                             $_carteiratrabalhoemissao,
                             $_blcarteiratrabalhocomprovado,
                             $_blcarteiratrabalhodigitalizado,
                             $_pathcarteiratrabalhofrente,
                             $_pathcarteiratrabalhoverso,                             
                             $_bltituloeleitor,
                             $_tituloeleitor,
                             $_tituloeleitorzona,
                             $_tituloeleitorsecao,
                             $_bltituloeleitorcomprovado,
                             $_bltituloeleitordigitalizado,
                             $_pathtituloeleitorfrente,
                             $_pathtituloeleitorverso,
                             $_blpis,
                             $_pis,
                             $_blpiscomprovado,
                             $_blpisdigitalizado,
                             $_pathpisfrente,
                             $_pathpisverso,
                             $_blcertidao,
							 $_certidaoMatricula,
                             $_tipocertidao,
                             $_datacertidao,
 							 $_folhacertidao,
 							 $_termocertidao,
 							 $_livrocertidao,
 							 $_cartoriocertidao,
 							 $_blcomprovadocertidao,
 							 $_bldigitalizadocertidao,
 							 $_pathcertidaofrente,
 							 $_pathcertidaoverso,
 							 $_blcarteiramotorista,
 							 $_registrocarteiramotorista,
 							 $_blcomprovadocarteiramotorista,
 							 $_bldigitalizadocarteiramotorista,
 	                         $_pathcarteiramotoristafrente, 
 							 $_pathcarteiramotoristaverso,
 							 $dbh,
 							 $_pathdiploma = null)
	{

	$_blnis = converteVar($_blnis);
    $_nis = converteVar($_nis);
    $_blniscomprovado = converteVar($_blniscomprovado);
    $_blnisdigitalizado = converteVar($_blnisdigitalizado);
    $_pathnisfrente = converteVar($_pathnisfrente);
    $_pathnisverso = converteVar($_pathnisverso);
    $_blcpf = converteVar($_blcpf);
    $_cpf = converteVar($_cpf);
    $_blcpfcomprovado = converteVar($_blcpfcomprovado);
	$_blcpfdigitalizado = converteVar($_blcpfdigitalizado);
    $_patthcpffrente = converteVar($_patthcpffrente);
    $_pathcpfverso = converteVar($_pathcpfverso);
    $_blreg = converteVar($_blreg);
    $_rg = converteVar($_rg);
    $_rguf = converteVar($_rguf);
    $_rgemissao = converteVar($_rgemissao);
    $_rgorgaoemissor = converteVar($_rgorgaoemissor);
    $_blrgcomprovado = converteVar($_blrgcomprovado);
    $_blrgdigitalizado = converteVar($_blrgdigitalizado);
    $_pathrgfrente = converteVar($_pathrgfrente);
    $_pathrgverso = converteVar($_pathrgverso);
    $_blcarteiratrabalho = converteVar($_blcarteiratrabalho);
    $_carteiratrabalho = converteVar($_carteiratrabalho);
    $_carteiratrabalhoserie = converteVar($_carteiratrabalhoserie);
    $_carteiratrabalhouf = converteVar($_carteiratrabalhouf);
    $_carteiratrabalhoemissao = converteVar($_carteiratrabalhoemissao);
    $_blcarteiratrabalhocomprovado = converteVar($_blcarteiratrabalhocomprovado);
    $_blcarteiratrabalhodigitalizado = converteVar($_blcarteiratrabalhodigitalizado);
    $_pathcarteiratrabalhofrente = converteVar($_pathcarteiratrabalhofrente);
    $_pathcarteiratrabalhoverso = converteVar($_pathcarteiratrabalhoverso);                             
    $_bltituloeleitor = converteVar($_bltituloeleitor);
    $_tituloeleitor = converteVar($_tituloeleitor);
    $_tituloeleitorzona = converteVar($_tituloeleitorzona);
    $_tituloeleitorsecao = converteVar($_tituloeleitorsecao);
    $_bltituloeleitorcomprovado = converteVar($_bltituloeleitorcomprovado);
    $_bltituloeleitordigitalizado = converteVar($_bltituloeleitordigitalizado);
    $_pathtituloeleitorfrente = converteVar($_pathtituloeleitorfrente);
    $_pathtituloeleitorverso = converteVar($_pathtituloeleitorverso);
    $_blpis = converteVar($_blpis);
    $_pis = converteVar($_pis);
    $_blpiscomprovado = converteVar($_blpiscomprovado);
    $_blpisdigitalizado = converteVar($_blpisdigitalizado);
    $_pathpisfrente = converteVar($_pathpisfrente);
    $_pathpisverso = converteVar($_pathpisverso);
    $_blcertidao = converteVar($_blcertidao);
	$_certidaoMatricula = converteVar($_certidaoMatricula);
    $_tipocertidao = converteVar($_tipocertidao);
    $_datacertidao = converteVar($_datacertidao);
 	$_folhacertidao = converteVar($_folhacertidao);
 	$_termocertidao = converteVar($_termocertidao);
 	$_livrocertidao = converteVar($_livrocertidao);
 	$_cartoriocertidao = converteVar($_cartoriocertidao);
 	$_blcomprovadocertidao = converteVar($_blcomprovadocertidao);
 	$_bldigitalizadocertidao = converteVar($_bldigitalizadocertidao);
 	$_pathcertidaofrente = converteVar($_pathcertidaofrente);
 	$_pathcertidaoverso = converteVar($_pathcertidaoverso);
 	$_blcarteiramotorista = converteVar($_blcarteiramotorista);
 	$_registrocarteiramotorista = converteVar($_registrocarteiramotorista);
 	$_blcomprovadocarteiramotorista = converteVar($_blcomprovadocarteiramotorista);
 	$_bldigitalizadocarteiramotorista = converteVar($_bldigitalizadocarteiramotorista);
 	$_pathcarteiramotoristafrente = converteVar($_pathcarteiramotoristafrente); 
 	$_pathcarteiramotoristaverso = converteVar($_pathcarteiramotoristaverso);
	$_pathdiploma = converteVar($_pathdiploma);	
		
		$sql1 = "UPDATE mat_documentos SET
						blnis = $_blnis,
						nis = $_nis,
						blniscomprovado = $_blniscomprovado,
						blnisdigitalizado = $_blnisdigitalizado,";
						if($_blnisdigitalizado == 'false' || $_blnisdigitalizado == 'null')
						{
							$sql2 = "\npathnisfrente = '',";
							$sql3 = "\npathnisverso = '',";
						}
						else
						{
							if($_pathnisfrente != '' && $_pathnisfrente != "null") $sql2 = "\npathnisfrente = $_pathnisfrente,";
							if($_pathnisverso != '' && $_pathnisverso != "null") $sql3 = "\npathnisverso = $_pathnisverso,";
						}
		$sql4	=		"\nblcpf = $_blcpf,
						cpf = $_cpf,
						blcpfcomprovado = $_blcpfcomprovado,
						blcpfdigitalizado = $_blcpfdigitalizado,";
						if($_blcpfdigitalizado == "'false'" || $_blcpfdigitalizado == 'null')
						{
							//echo 'entrei'; exit;
							$sql5 = "\npatthcpffrente = '',";
							$sql6 = "\npathcpfverso = '',";
						}
						else
						{
							if($_patthcpffrente != '' && $_patthcpffrente != "null") $sql5 = "\npatthcpffrente = $_patthcpffrente,";
							if($_pathcpfverso != '' && $_pathcpfverso != "null") $sql6 = "\npathcpfverso = $_pathcpfverso,";	
						}
		$sql7	=       "\nblreg = $_blreg,
						rg = $_rg,
						rguf = $_rguf,
						rgemissao = $_rgemissao,
						rgorgaoemissor = $_rgorgaoemissor,
						blrgcomprovado = $_blrgcomprovado,
						blrgdigitalizado = $_blrgdigitalizado,";
						if($_blrgdigitalizado == 'false' || $_blrgdigitalizado == 'null')
						{
							$sql8 = "\npathrgfrente = '',";
							$sql9 = "\npathrgverso = '',";
						}
						else
						{
							if($_pathrgfrente != '' && $_pathrgfrente != "null") $sql8 = "\npathrgfrente = $_pathrgfrente,";					
							if($_pathrgverso != '' && $_pathrgverso != "null") $sql9 = "\npathrgverso = $_pathrgverso,";
						}
		$sql10	=		"\nblcarteiratrabalho = $_blcarteiratrabalho,
						carteiratrabalho = $_carteiratrabalho,
						carteiratrabalhoserie = $_carteiratrabalhoserie,
						carteiratrabalhouf = $_carteiratrabalhouf,
						carteiratrabalhoemissao = $_carteiratrabalhoemissao,
						blcarteiratrabalhocomprovado = $_blcarteiratrabalhocomprovado,
						blcarteiratrabalhodigitalizado = $_blcarteiratrabalhodigitalizado,";
						if($_blcarteiratrabalhodigitalizado == 'false' || $_blcarteiratrabalhodigitalizado == 'null')
						{
							$sql11 = "\npathcarteiratrabalhofrente = '',";
							$sql12 = "\npathcarteiratrabalhoverso = '',";
						}
						else
						{
							if($_pathcarteiratrabalhofrente != '' && $_pathcarteiratrabalhofrente != "null") $sql11 = "\npathcarteiratrabalhofrente = $_pathcarteiratrabalhofrente,";
							if($_pathcarteiratrabalhoverso != '' && $_pathcarteiratrabalhoverso != "null")  $sql12 = "\npathcarteiratrabalhoverso = $_pathcarteiratrabalhoverso,";
						}	
		$sql13  =   	"\nbltituloeleitor = $_bltituloeleitor,
						tituloeleitor = $_tituloeleitor,
						tituloeleitorzona = $_tituloeleitorzona,
						tituloeleitorsecao = $_tituloeleitorsecao,
						bltituloeleitorcomprovado = $_bltituloeleitorcomprovado,
						bltituloeleitordigitalizado = $_bltituloeleitordigitalizado,";
						if($_bltituloeleitordigitalizado == 'false' || $_bltituloeleitordigitalizado == 'null')
						{
							$sql14 = "\npathtituloeleitorfrente = '',";
							$sql15 = "\npathtituloeleitorverso = '',";
						}
						else
						{
							if($_pathtituloeleitorfrente != '' && $_pathtituloeleitorfrente != "null") $sql14 = "\npathtituloeleitorfrente = $_pathtituloeleitorfrente,";
							if($_pathtituloeleitorverso != '' && $_pathtituloeleitorverso != "null") $sql15 = "\npathtituloeleitorverso = $_pathtituloeleitorverso,";	
						}
		$sql16	=	    "\nblpis = $_blpis,
						pis = $_pis,
						blpiscomprovado = $_blpiscomprovado,
						blpisdigitalizado = $_blpisdigitalizado,";
						if($_blpisdigitalizado == 'false' || $_blpisdigitalizado == 'null')
						{
							$sql17 = "\npathpisfrente = '',";
							$sql18 = "\npathpisverso = '',";
						}
						else
						{
							if($_pathpisfrente != '' && $_pathpisfrente != "null") $sql17 = "\npathpisfrente = $_pathpisfrente,";
							if($_pathpisverso != '' && $_pathpisverso != "null" ) $sql18 = "\npathpisverso = $_pathpisverso,";	
						}
		$sql19	=		"\nblcertidao = $_blcertidao,
						\"certidaoMatricula\" = $_certidaoMatricula,
						tipocertidao = $_tipocertidao,
						datacertidao = $_datacertidao,
						folhacertidao = $_folhacertidao,
						termocertidao = $_termocertidao,
						livrocertidao = $_livrocertidao,
						cartoriocertidao = $_cartoriocertidao,
						blcomprovadocertidao = $_blcomprovadocertidao,
						bldigitalizadocertidao = $_bldigitalizadocertidao,";
						if($_bldigitalizadocertidao == 'false' || $_bldigitalizadocertidao == 'null')
						{
							$sql20 = "\npathcertidaofrente = '',";
							$sql21 = "\npathcertidaoverso = '',";
						}
						else
						{
							if($_pathcertidaofrente != '' && $_pathcertidaofrente != "null") $sql20 = "\npathcertidaofrente = $_pathcertidaofrente,";
							if($_pathcertidaoverso != '' && $_pathcertidaoverso != "null") $sql21 = "\npathcertidaoverso = $_pathcertidaoverso,";
						}
		$sql22	=		"\nblcarteiramotorista = $_blcarteiramotorista,
						registrocarteiramotorista = $_registrocarteiramotorista,
						blcomprovadocarteiramotorista = $_blcomprovadocarteiramotorista,
						bldigitalizadocarteiramotorista = $_bldigitalizadocarteiramotorista";
						if($_bldigitalizadocarteiramotorista == 'false' || $_bldigitalizadocarteiramotorista == 'null')
						{
							$sql23 = "\n,pathcarteiramotoristafrente = ''";
							$sql24 = "\n,pathcarteiramotoristaverso = ''";
						}
						else
						{
							if($_pathcarteiramotoristafrente != '' && $_pathcarteiramotoristafrente != "null") $sql23 = "\n,pathcarteiramotoristafrente = $_pathcarteiramotoristafrente";
							if($_pathcarteiramotoristaverso != '' && $_pathcarteiramotoristaverso != "null") $sql24 = "\n,pathcarteiramotoristaverso = $_pathcarteiramotoristaverso";
						}
						if($_pathdiploma != '' && $_pathdiploma != "null") $sql25 = "\n,pathdiploma = $_pathdiploma";
						
	$sql26 = 	"\n WHERE 
		   			identificador = $_identificador 
		   				AND 
		   			\"tipoidentificador\" = $_tipoidentificador";
	

	$sql_doc =$sql1.$sql2.$sql3.$sql4.$sql5.$sql6.$sql7.$sql8.$sql9.$sql10.$sql11.$sql12.$sql13.$sql14.$sql15.$sql16.$sql17
				.$sql18.$sql19.$sql20.$sql21.$sql22.$sql23.$sql24.$sql25.$sql26;
	
	//echo nl2br($sql_doc); exit;
	$result = executaQuery($dbh, $sql_doc);
	
	if (!$result)
	{
	   return false;
	}
	
	$sql = cleanSql($sql);
	$textoScript .= $sql . ';';

	return true;
}